import BaseUploader from "./BaseUploader";
import { S3 } from "@aws-sdk/client-s3";
export default class AwsUploader extends BaseUploader {
    private client;
    getClient(): Promise<S3>;
    upload(file: Blob, saveName: string, onProgress?: Function): Promise<string | undefined>;
}
